#app {
	.main-container {
		min-height: 100%;
		transition: margin-left .28s;
		margin-left: $sideBarWidth;
		position: relative;
	}
  
	.sidebar-container {
		transition: width 0.28s;
		width: $sideBarWidth !important;
		height: 100%;
		position: fixed;
		font-size: 0px;
		top: 0;
		bottom: 0;
		left: 0;
		z-index: 1001;
		overflow: hidden;
		border-right: 1px solid #d8dce5;
  
		.horizontal-collapse-transition {
			transition: 0s width ease-in-out, 0s padding-left ease-in-out, 0s padding-right ease-in-out;
		}
  
		.scrollbar-wrapper {
			overflow: auto !important;
	
			.el-scrollbar__view {				
				height: 100%;
			}
		}
  
		.el-scrollbar__bar.is-vertical {
			right: 0px;
		}
	
		.is-horizontal {
			display: none;
		}
  
		a {
			display: inline-block;
			width: 100%;
			overflow: hidden;
		}
  
		.el-menu {
			border: none;
			height: 100%;
			width: 100% !important;
		}
  
		.el-menu-item{
			height: 50px;
			line-height: 50px;
			text-align: left;

			&.is-active{
				background-color: $menuHover !important;
				color: #000;
			}			
		}

		.submenu-title-noDropdown,
		.el-submenu__title {
			&:hover {
				background-color: $menuHover !important;
			}
			.el-submenu__icon-arrow {
				right: 35px;
			}
		}
	
		.is-active>.el-submenu__title {
			color: $subMenuActiveText !important;
			background-color: $menuHover !important;
		}
  
		& .nest-menu .el-submenu>.el-submenu__title,
		& .el-submenu .el-menu-item {
			min-width: $sideBarWidth !important;
			background-color: $subMenuBg !important;
	
			&:hover {
				background-color: $subMenuHover !important;
			}
		}
	}
  
	.hideSidebar {
		.sidebar-container {
			width: 60px !important;
		}
	
		.main-container {
			margin-left: 54px;
		}
	
		.submenu-title-noDropdown {
			padding: 0 !important;
			position: relative;
	
			.el-tooltip {
				padding: 0 !important;

				i {
					margin-left: 20px;
					margin-right: 0;
				}
			}
		}
  
		.el-submenu {
			overflow: hidden;
	
			&>.el-submenu__title {
				padding: 0 !important;
				i {
					margin-left: 20px;
				}
		
				.el-submenu__icon-arrow {
					display: none;
				}
			}
			&.is-active>.el-submenu__title,
			&.is-opened>.el-submenu__title {
				background-color: $menuHover !important;
			}
		}
  
		.el-menu--collapse {
			.el-submenu {
				&>.el-submenu__title {
					&>span {
						height: 0;
						width: 0;
						overflow: hidden;
						visibility: hidden;
						display: inline-block;
					}
				}
			}
		}
	}
  
	.el-menu--collapse .el-menu .el-submenu {
	  	min-width: $sideBarWidth !important;
	}
  
	.mobile {
		.main-container {
			margin-left: 0px;
		}
	
		.sidebar-container {
			transition: transform .28s;
			width: $sideBarWidth !important;
		}
	
		&.hideSidebar {
			.sidebar-container {
			pointer-events: none;
			transition-duration: 0.3s;
			transform: translate3d(-$sideBarWidth, 0, 0);
			}
		}
	}
  
	.withoutAnimation {
		.main-container,
		.sidebar-container {
			transition: none;
		}
	}
}
  
.el-menu--vertical {
	&>.el-menu {
		.svg-icon {
			margin-right: 16px;
		}
	}
  
	.nest-menu .el-submenu>.el-submenu__title,
	.el-menu-item {
		&:hover {
			// you can use $subMenuHover
			background-color: $menuHover !important;
		}
	}
  
	>.el-menu--popup {
		max-height: 100vh;
		overflow-y: auto;
	
		&::-webkit-scrollbar-track-piece {
			background: #d3dce6;
		}
	
		&::-webkit-scrollbar {
			width: 6px;
		}
	
		&::-webkit-scrollbar-thumb {
			background: #99a9bf;
			border-radius: 20px;
		}
	}
}
  